For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ModelsChatRankingsDocs
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
  • API Guides
    • Overview
    • Streaming
    • Embeddings
    • Limits
    • Authentication
    • Parameters
    • Errors and Debugging
  • API Reference
      • POSTSubmit a video generation request
      • GETPoll video generation status
      • GETDownload generated video content
      • GETList all video generation models
LogoLogo
ModelsChatRankingsDocs
API ReferenceVideo Generation

Poll video generation status

GET
https://openrouter.ai/api/v1/videos/:jobId
GET
/api/v1/videos/:jobId
$curl https://openrouter.ai/api/v1/videos/job-abc123 \
> -H "Authorization: Bearer <token>"
1{
2 "id": "job-abc123",
3 "polling_url": "/api/v1/videos/job-abc123",
4 "status": "completed",
5 "generation_id": "gen-xyz789",
6 "unsigned_urls": [
7 "https://storage.example.com/video.mp4"
8 ],
9 "usage": {
10 "cost": 0.5
11 }
12}
Returns job status and content URLs when completed
Was this page helpful?
Previous

Download generated video content

Next
Built with

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Path parameters

jobIdstringRequired>=1 character

Response

Video generation status
idstring
polling_urlstring
statusenum
errorstring
generation_idstring
The generation ID associated with this video generation job. Available once the job has been processed.
unsigned_urlslist of strings
usageobject
Usage and cost information for the video generation. Available once the job has completed.

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error